SETENV(3)

NAME
setenv - change or add an environment variable

SYNOPSIS
#include <stdlib.h>

int setenv(const char *name, const char *value, int overwrite);

void unsetenv(const char *name);

DESCRIPTION
The setenv() function adds the variable name to the environment with the value value, if name does not already exist. If name does exist in the environment, then its value is changed to value if overwrite is non-zero; if overwrite is zero, then the value of name is not changed.

The unsetenv() function deletes the variable name from the environment.

RETURN VALUE
The setenv() function returns zero on success, or -1 if there was insufficient space in the environment.

CONFORMING TO
BSD 4.3

SEE ALSO
getenv(3), putenv(3)